FROM node:lts-alpine as build-stage
WORKDIR /app
COPY package*.json ./
RUN npm install
COPY . .
RUN npm run build


FROM nginx:stable-alpine as production-stage
COPY --from=build-stage /app/dist /var/www/mysite/
COPY mysite.conf /etc/nginx/conf.d/mysite.conf
EXPOSE 80
ENTRYPOINT nginx -g 'daemon off;'